View Issue Details

IDProjectCategoryView StatusLast Update
0004105Talerotherpublic2021-08-24 16:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritylowSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.8Fixed in Version0.8 
Summary0004105: There should be an easy way to run a Taler test environment.
Description... right now installing and setting up the mint, merchant, shop is quite painful.

We might want to have a guix system definition or a dockerfile that describes the whole setup, including a webserver and the reverse proxy setup.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-12-28 22:11

viewer   ~0011612

Last edited: 2016-12-28 22:12

deployment/docker/ now contains something like that. There is a docker-compose recipe that installs and configures the exchange (along with the postgresql container). nginx proxying missing.

Marcello Stanisci

2019-06-24 11:15

viewer   ~0014571

Docker got hugely outdated, and not usable anymore.

Florian Dold

2020-08-20 13:35

manager   ~0016677

There are two aspects to this:

1. Getting all components installed. This can currently be done with Torsten's docker image (in deployment.git / his CI repos). Later the image from 0006366 can be used as well.
2. Creating a configuration for the various services. This is made relatively easy by the wallet's test harness now. I don't see the need for any additional tooling right now.

Issue History

Date Modified Username Field Change
2015-12-25 01:11 Florian Dold New Issue
2015-12-25 11:01 Christian Grothoff Severity minor => feature
2016-01-22 23:20 Christian Grothoff Product Version => 0.0
2016-01-22 23:20 Christian Grothoff Target Version => 0.6
2016-04-19 17:18 Florian Dold Assigned To => Florian Dold
2016-04-19 17:18 Florian Dold Status new => assigned
2016-04-22 16:03 Florian Dold Relationship added related to 0004460
2016-12-28 22:11 Marcello Stanisci Note Added: 0011612
2016-12-28 22:12 Marcello Stanisci Note Edited: 0011612
2017-11-04 18:39 Christian Grothoff Assigned To Florian Dold =>
2017-11-04 18:39 Christian Grothoff Priority normal => low
2017-11-04 18:39 Christian Grothoff Status assigned => confirmed
2017-11-04 18:39 Christian Grothoff Target Version 0.6 =>
2017-11-04 18:39 Christian Grothoff Relationship deleted related to 0004460
2019-06-24 11:15 Marcello Stanisci Note Added: 0014571
2020-08-20 13:35 Florian Dold Assigned To => Florian Dold
2020-08-20 13:35 Florian Dold Status confirmed => resolved
2020-08-20 13:35 Florian Dold Resolution open => fixed
2020-08-20 13:35 Florian Dold Note Added: 0016677
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed